net.minecraftforge.oredict

## Class OreDictionary

- java.lang.Object
- - net.minecraftforge.oredict.OreDictionary

-     public class OreDictionary
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OreDictionary.OreRegisterEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `WILDCARD_VALUE` Minecraft changed from -1 to Short.MAX_VALUE in 1.5 release for the "block wildcard".

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OreDictionary()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getOreID(ItemStack itemStack)` Gets the integer ID for the specified item stack.
    `static int` | `getOreID(String name)` Gets the integer ID for the specified ore name.
    `static String` | `getOreName(int id)` Reverse of getOreID, will not create new entries.
    `static String[]` | `getOreNames()` Retrieves a list of all unique ore names that are already registered.
    `static ArrayList<ItemStack>` | `getOres(Integer id)` Retrieves the ArrayList of items that are registered to this ore type.
    `static ArrayList<ItemStack>` | `getOres(String name)` Retrieves the ArrayList of items that are registered to this ore type.
    `static void` | `initVanillaEntries()`
    `static boolean` | `itemMatches(ItemStack target, ItemStack input, boolean strict)`
    `static void` | `registerOre(int id, Block ore)`
    `static void` | `registerOre(int id, Item ore)`
    `static void` | `registerOre(int id, ItemStack ore)`
    `static void` | `registerOre(String name, Block ore)`
    `static void` | `registerOre(String name, Item ore)`
    `static void` | `registerOre(String name, ItemStack ore)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WILDCARD_VALUE

          public static final int WILDCARD_VALUE

      Minecraft changed from -1 to Short.MAX_VALUE in 1.5 release for the "block wildcard". Use this in case it changes again.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OreDictionary

          public OreDictionary()

  - ### Method Detail

    - #### initVanillaEntries

          public static void initVanillaEntries()

    - #### getOreID

          public static int getOreID(String name)

      Gets the integer ID for the specified ore name. If the name does not have a ID it assigns it a new one.
      Parameters:
        `name` - The unique name for this ore 'oreIron', 'ingotIron', etc..
      Returns:
        A number representing the ID for this ore type

    - #### getOreName

          public static String getOreName(int id)

      Reverse of getOreID, will not create new entries.
      Parameters:
        `id` - The ID to translate to a string
      Returns:
        The String name, or "Unknown" if not found.

    - #### getOreID

          public static int getOreID(ItemStack itemStack)

      Gets the integer ID for the specified item stack. If the item stack is not linked to any ore, this will return -1 and no new entry will be created.
      Parameters:
        `itemStack` - The item stack of the ore.
      Returns:
        A number representing the ID for this ore type, or -1 if couldn't find it.

    - #### getOres

          public static ArrayList<ItemStack> getOres(String name)

      Retrieves the ArrayList of items that are registered to this ore type. Creates the list as empty if it did not exist.
      Parameters:
        `name` - The ore name, directly calls getOreID
      Returns:
        An arrayList containing ItemStacks registered for this ore

    - #### getOreNames

          public static String[] getOreNames()

      Retrieves a list of all unique ore names that are already registered.
      Returns:
        All unique ore names that are currently registered.

    - #### getOres

          public static ArrayList<ItemStack> getOres(Integer id)

      Retrieves the ArrayList of items that are registered to this ore type. Creates the list as empty if it did not exist.
      Parameters:
        `id` - The ore ID, see getOreID
      Returns:
        An arrayList containing ItemStacks registered for this ore

    - #### itemMatches

          public static boolean itemMatches(ItemStack target,
                            ItemStack input,
                            boolean strict)

    - #### registerOre

          public static void registerOre(String name,
                         Item ore)

    - #### registerOre

          public static void registerOre(String name,
                         Block ore)

    - #### registerOre

          public static void registerOre(String name,
                         ItemStack ore)

    - #### registerOre

          public static void registerOre(int id,
                         Item ore)

    - #### registerOre

          public static void registerOre(int id,
                         Block ore)

    - #### registerOre

          public static void registerOre(int id,
                         ItemStack ore)